Sidebar

Is my QIE environment ready for Java 9?

0 votes
347 views
asked Oct 16, 2017 by mike-r-7535 (13,830 points)
Java 9 was just released.  Can I use it in QIE?  What do I need to do in order to use Java 9?

1 Answer

0 votes

In order to use Java 9 inside of QIE, the -Djava.endorsed.dirs java option needs to be removed.  In Java 9, supplying this java option causes the JVM to stop. (For more info, see https://stackoverflow.com/questions/46419496/how-do-you-replace-endorsed-directory-in-java-9)

For Windows users, you can download and run the latest installer (3.0.44.8679+).  This newer installer proactively removes the endorsed java option so you can use Java 9 whenever you are ready.

The alternative way is to manually remove the java option. In Windows, open the QIE Service Manager, and click the Startup tab.  In the Arguments section remove the highlighted line below (which contains the -Djava.endorsed.dirs), then click Apply.

Remove the line for -Djava.endorsed.dirs=

For Mac and Linux users, go to your QIE home directory and edit the start.sh file.  Remove the line that contains the -Djava.endorsed.dirs.  Save the file.

Remove the -Djava.endorsed.dirs option

 

answered Oct 16, 2017 by mike-r-7535 (13,830 points)
...